// ProObjTextRectSizeLimit.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "ProObjTextRectSizeLimit.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjTextRectSizeLimit _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjTextRectSizeLimit, CFCProObjProperty)

CFCProObjTextRectSizeLimit::CFCProObjTextRectSizeLimit() : CFCProObjProperty(CFCProObjTextRectSizeLimit::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjTextRectSizeLimit)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

CFCProObjTextRectSizeLimit::~CFCProObjTextRectSizeLimit()
{
}

void CFCProObjTextRectSizeLimit::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjTextRectSizeLimit)
	DDX_Control(pDX, IDC_TRS_STC_BORDER_3, m_stcBorder3);
	DDX_Control(pDX, IDC_TRS_STC_BORDER_2, m_stcBorder2);
	DDX_Control(pDX, IDC_TRS_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFCProObjTextRectSizeLimit, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjTextRectSizeLimit)
	ON_WM_CTLCOLOR()
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_BN_CLICKED(IDC_TRS_RDO_MIN_WIDTH_USED, OnTrsRdoMinWidthUsed)
	ON_BN_CLICKED(IDC_TRS_RDO_MIN_WIDTH_UNUSED, OnTrsRdoMinWidthUnused)
	ON_BN_CLICKED(IDC_TRS_RDO_MIN_WIDTH_UNKNOWN, OnTrsRdoMinWidthUnknown)
	ON_BN_CLICKED(IDC_TRS_RDO_MIN_HEIGHT_USED, OnTrsRdoMinHeightUsed)
	ON_BN_CLICKED(IDC_TRS_RDO_MIN_HEIGHT_UNUSED, OnTrsRdoMinHeightUnused)
	ON_BN_CLICKED(IDC_TRS_RDO_MIN_HEIGHT_UNKNOWN, OnTrsRdoMinHeightUnknown)
	ON_BN_CLICKED(IDC_TRS_RDO_MAX_WIDTH_USED, OnTrsRdoMaxWidthUsed)
	ON_BN_CLICKED(IDC_TRS_RDO_MAX_WIDTH_UNUSED, OnTrsRdoMaxWidthUnused)
	ON_BN_CLICKED(IDC_TRS_RDO_MAX_WIDTH_UNKNOWN, OnTrsRdoMaxWidthUnknown)
	ON_BN_CLICKED(IDC_TRS_RDO_MAX_HEIGHT_USED, OnTrsRdoMaxHeightUsed)
	ON_BN_CLICKED(IDC_TRS_RDO_MAX_HEIGHT_UNUSED, OnTrsRdoMaxHeightUnused)
	ON_BN_CLICKED(IDC_TRS_RDO_MAX_HEIGHT_UNKNOWN, OnTrsRdoMaxHeightUnknown)
	ON_EN_CHANGE(IDC_TRS_EDT_MIN_WIDTH, OnChangeTrsEdtMinWidth)
	ON_EN_CHANGE(IDC_TRS_EDT_MIN_HEIGHT, OnChangeTrsEdtMinHeight)
	ON_EN_CHANGE(IDC_TRS_EDT_MAX_WIDTH, OnChangeTrsEdtMaxWidth)
	ON_EN_CHANGE(IDC_TRS_EDT_MAX_HEIGHT, OnChangeTrsEdtMaxHeight)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjTextRectSizeLimit _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

